@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.demo_example {
  font-family: "Raleway", sans-serif;
  font-size: 14px;
  line-height: 20px;
  color: #474747;
}
.demo_example .header {
  padding-left: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 70px;
  background-color: #f1f1f1;
}

.demo_example .header h1 {
  margin: 0 auto;
}
.demo_example .header .menu_button {
  display: none;
}

.demo_example .side_nav {
  background-color: white;
  padding: 20px 0px;
  width: 100%;
  max-width: 240px;
  position: fixed;
  border-right: 1px solid #f1f1f1;
  min-height: 100vh;
  height: 100%;
  display: flex;
  flex-direction: column;
  transition: 0.3s;
}

.side_nav span {
  font-family: "Raleway";
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 16px;
  padding: 16px 0;
  padding-left: 70px;
  color: #474747;
  cursor: pointer;
  transition: all 0.5s ease;
  margin-bottom: 4px;
}

.side_nav span.active,
.side_nav span:hover {
  color: white;
  background-color: #ff7f00;
}

.demo_example .nav_content {
  margin-left: 240px;
  padding: 0 15px;
  padding-top: 30px;
}
.demo_example .nav_content .hidden {
  display: none;
}
.demo_example .table {
  margin-top: 30px;
}

.table_wrapper {
  width: 100%;
  overflow-x: auto;
}

.nav_content h2 {
  font-weight: 600;
  font-size: 28px;
  line-height: 28px;
  color: #474747;
  margin-bottom: 12px;
}
.table {
  border-collapse: collapse;
}
.table th {
  padding: 20px 30px;
}
.table td {
  padding: 10px 20px;
}

.form {
  margin-top: 20px;
}
.form label {
  font-size: 16px;
  display: block;
  margin-bottom: 8px;
  font-weight: 500;
}
.form input {
  height: 41px;
  padding: 0px 10px;
  background: #f1f1f1;
  border: none;
  width: 100%;
  max-width: 250px;
  border-radius: 5px;
}

pre {
  color: #e5e7eb;
  background-color: #1f2937;
  overflow-x: auto;
  font-size: 0.875em;
  line-height: 1.7142857;
  margin-top: 1.7142857em;
  margin-bottom: 1.7142857em;
  border-radius: 0.375rem;
  padding-top: 300px;
  padding-top: 0.8571429em;
  padding-right: 1.1428571em;
  padding-bottom: 0.8571429em;
  padding-left: 1.1428571em;
  max-width: 700px;
  width: 100%;
}

pre code {
  background-color: transparent;
  border-radius: 0;
  font-weight: 500;
  padding: 0;
  font-size: 100%;
}

code {
  padding: 0.2em 0.4em;
  margin: 0;
  font-size: 85%;
  background-color: rgba(110, 118, 129, 0.4);
  border-radius: 6px;
}
.demo_example .header svg path {
  transition: 0.3s;
  transform-origin: 0px;
}
.demo_example .header svg.close path:nth-child(1) {
  d: path("M 3 16.5 L 17 2.5") !important;
}
.demo_example .header svg.close path:nth-child(2) {
  opacity: 0;
}
.demo_example .header svg.close path:nth-child(3) {
  d: path("M 3 2.5 L 17 16.346") !important;
}

textarea:hover,
input:hover,
textarea:active,
input:active,
textarea:focus,
input:focus,
button:focus,
button:active,
button:hover,
label:focus,
.btn:active,
.btn.active {
  outline: 0px !important;
  -webkit-appearance: none;
  box-shadow: none !important;
}

@media (max-width: 767px) {
  .demo_example .side_nav.close {
    transform: translateX(-240px);
  }
  .demo_example .header .menu_button {
    display: block;
  }
  .demo_example .side_nav {
    box-shadow: 32px 0px 26px -41px rgba(0, 0, 0, 0.1);
    z-index: 2;
  }
  .demo_example .nav_content {
    margin-left: 0;
  }
}
.demo_example .footer {
  width: 100%;
  position: fixed;
  bottom: 10px;
  left: 0;
  text-align: center;
}
